Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class AbstractXMLHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

Direct Known Subclasses:
  SVNXMLAnnotateHandler, SVNXMLLogHandler, SVNXMLStatusHandler

public abstract class AbstractXMLHandler
extends Object

AbstractXMLLogger is a basic XML formatter for all XML handler classes which are provided in this package. All XML output is written to a specified ContentHandler.

Version:
  1.0
Author:
  TMate Software Ltd.

Constructor Summary
`protected` | `AbstractXMLHandler(ContentHandler contentHandler)`

Method Summary
`protected void` | `addAttribute(String name, String value)`
`protected void` | `addTag(String tagName, String value)`
`protected void` | `closeTag(String name)`
`void` | `endDocument()` Stops logging.
`protected abstract String` | `getHeaderName()`
`protected void` | `openTag(String name)`
`void` | `startDocument()` Starts logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractXMLHandler

    protected AbstractXMLHandler(ContentHandler contentHandler)

Method Detail

### startDocument

    public void startDocument()

  Starts logging.

### endDocument

    public void endDocument()

  Stops logging.

### getHeaderName

    protected abstract String getHeaderName()

### openTag

    protected void openTag(String name)
                    throws SAXException

  Throws:
    `SAXException`

### closeTag

    protected void closeTag(String name)
                     throws SAXException

  Throws:
    `SAXException`

### addTag

    protected void addTag(String tagName,
                          String value)
                   throws SAXException

  Throws:
    `SAXException`

### addAttribute

    protected void addAttribute(String name,
                                String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.